[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.CreateWnd

Ensures the default values taken from Cursor and Width are assigned when the window handle is created.

## Declaration

Source position: extctrls.pp line 1624

`protected procedure TCustomControlBar.CreateWnd; override;`

## Description

CreateWnd is an overridden method in TCustomControlBar. It calls the inherited method to update the window control flags and creation parameters when the handle is allocated for the control.

CreateWnd ensures that existing values in the Cursor and Width properties are applied to the internal default values used in the control.

## See also

TWinControl.CreateWnd |  | Creates the interface object (widget) and assigns the value in Handle.
TControl.Cursor |  | Contains the shape for the mouse pointer when the mouse is over the control.
TControl.Width |  | The horizontal size for the control.